BEEM - Android XMPP - Bug #454

Cannot authenticate to gmail.com
10/19/2012 08:11 PM - Anonymous

Status: Closed Start date: 10/19/2012
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.1.8

Affected version: 0.1.7 Locale:

Description

The market app has version 0.1.7 and so does the tip of the source tree, but when I build from source code and try to login to my
Google account (hacksoft@gmail.com) | cannot and get the following errors in the logcat:

D/AccountConfigureFragment( 7934): create progress dialog

D/AccountConfigureFragment( 7934): Xmpp login task

D/AccountConfigureFragment( 7934): jid hacksoft@gmail.com server null

W/System.err( 7934): java.security.KeyStoreException: java.security.NoSuchAlgorithmException: KeyStore jks implementation not
found

W/System.err( 7934):
W/System.err( 7934):
W/System.err( 7934):

( ) at java.security.KeyStore.getInstance(KeyStore.java:119)

( ). at org.jivesoftware.smack.ServerTrustManager.<init>(ServerTrustManager.java:61)

( ):  at org.jivesoftware.smack.XMPPConnection.proceedTLSReceived(XMPPConnection.java:826)
W/System.err( 7934):  at org.jivesoftware.smack.PacketReader.parsePackets(PacketReader.java:267)
W/System.err( 7934):  at org.jivesoftware.smack.PacketReader.access$000(PacketReader.java:43)

W/System.err( 7934):  at org.jivesoftware.smack.PacketReader$1.run(PacketReader.java:70)

W/System.err( 7934): Caused by: java.security.NoSuchAlgorithmException: KeyStore jks implementation not found
W/System.err( 7934):  at org.apache.harmony.security.fortress.Engine.notFound(Engine.java:177)
W/System.err( 7934):  at org.apache.harmony.security.fortress.Engine.getinstance(Engine.java:151)
W/System.err( 7934).  at java.security.KeyStore.getinstance(KeyStore.java:116)

W/System.err( 7934): ... 5 more
E/AccountConfigureFragment( 7934): Unable to connect to Xmpp server

E/AccountConfigureFragment( 7934): SASL authentication PLAIN failed: invalid-authzid:

E/AccountConfigureFragment( 7934):  at org.jivesoftware.smack.SASLAuthentication.authenticate(SASLAuthentication.java:337)
E/AccountConfigureFragment( 7934):  at org.jivesoftware.smack. XMPPConnection.login(XMPPConnection.java:230)
E/AccountConfigureFragment( 7934):  at org.jivesoftware.smack.Connection.login(Connection.java:344)
E/AccountConfigureFragment( 7934):  at
com.beem.project.beem.ui.wizard.AccountConfigureFragment$ConnectionTestTask.doInBackground(AccountConfigureFragment.jav
a:431)

E/AccountConfigureFragment( 7934):  at
com.beem.project.beem.ui.wizard.AccountConfigureFragment$ConnectionTestTask.doInBackground(AccountConfigureFragment.jav
a:384)
E/AccountConfigureFragment( 7934):  at android.os.AsyncTask$2.call(AsyncTask.java:287)

E/AccountConfigureFragment( 7934):  at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:305)
E/AccountConfigureFragment( 7934):  at java.util.concurrent.FutureTask.run(FutureTask.java:137)
E/AccountConfigureFragment( 7934):  at android.os.AsyncTask$SerialExecutor$1.run(AsyncTask.java:230)
E/AccountConfigureFragment( 7934):  at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1076)
E/AccountConfigureFragment( 7934):  at java.util.concurrent. ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:569)
E/AccountConfigureFragment( 7934):  at java.lang.Thread.run(Thread.java:856)

Associated revisions

Revision 1002:85cce4bb7{5e - 10/27/2012 02:13 AM - Frédéric Barthéléry

Use full jid to login in wizard account when the jid entered is a Google talk
account.
fix #454

History

#1 - 10/30/2012 12:03 AM - Frédéric Barthéléry
- Status changed from New to Assigned

- Assignee set to Frédéric Barthéléry
#2-11/01/2012 04:16 PM - Frédéric Barthéléry
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 85cce4bb7f5e.

#3 - 11/12/2012 09:34 PM - Frédéric Barthéléry

- Target version set to Dev

#4 - 01/06/2013 10:49 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed

#5 - 02/24/2013 09:12 PM - Frédéric Barthéléry

- Target version changed from Dev to 0.1.8
